%global varnishver 4.0.4
%global vbranch .v4.0
%global vabi 1.2
%global vabistrict 386f712


Name: vmod-vsthrottle
Summary: Request throttling VMOD for Varnish
Version: 1.01
Release: 1%{?vbranch}%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/lib%{name}
Source0: https://github.com/varnish/lib%{name}/archive/%{commit0}.tar.gz#/lib%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: varnish = %varnishver
Requires: varnishabi-%vabi
Requires: varnishabi-strict-%vabistrict

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: varnish = %varnishver
BuildRequires: varnish-libs-devel = %varnishver

# Add these when building from a git checkout
#BuildRequires: autoconf
#BuildRequires: automake
#BuildRequires: libtool
#BuildRequires: python-docutils


%description
Request throttling VMOD for Varnish.


%prep
%setup -q -n lib%{name}-%{version}


%build
# Add this when building from a git checkout (will not work on epel5)
#./autogen.sh  

# Use prebuilt manpage. Remove this when building from a git checkout
export RST2MAN=/bin/true

%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags}


%check
make check


%install
# Clean buildroot on older el variants
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'

# Don't need two copies of this
#rm %{buildroot}%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}/LICENSE

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?el5}
%doc LICENSE
%else
%license LICENSE
%endif
%doc README.rst COPYING
%{_mandir}/man3/*.3*


%changelog
* Sat Dec 17 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-1
- Upstream release
- Rebuild against varnish-4.0.4

* Mon Feb 08 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.0-0.2.20160208gitf8f0f1d
- Checked out latest git master
- Use license macro also on epel6
- Built against varnish-4.1.1

* Tue Nov 03 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.1.git.dfba127
- Wrapped for copr/fedora

